sos (4.11.2-0ubuntu0.1) resolute; urgency=medium

  * New 4.11.2 upstream release. (LP: #2156921)

  * For more details, full release note is available here:
    - https://github.com/sosreport/sos/releases/tag/4.11.2

  * d/t/simple.sh: Remove Failure if /proc/timer* not Captured

  * d/control:
    - Update Vcs-Browser and Vcs-Git to reflect the Salsa repository migration
      to Debian Python Team
    - Add xz-utils to Depends

  * d/copyright: Aligned copyright with Debian

 -- Bryan Fraschetti <bryan.fraschetti@canonical.com>  Wed, 17 Jun 2026 11:43:07 +0200

sos (4.10.2-1) unstable; urgency=medium

  * New upstream release 4.10.2

  * For more details, full release note is available here:
    - https://github.com/sosreport/sos/releases/tag/4.10.2

  * d/control: Change maintainer to DPT
  * d/gbp.conf: Conform to DPT policy settings

 -- Arif Ali <arif-ali@ubuntu.com>  Mon, 15 Dec 2025 16:52:51 +0000

sos (4.10.1-1) unstable; urgency=medium

  * New upstream release 4.10.1

  * For more details, full release note is available here:
    - https://github.com/sosreport/sos/releases/tag/4.10.1

  * Former patches now fixed upstream:
    - d/p/0001-Fix-Cleaner-Obfuscate-File.patch

  * d/control:
    - Added util-linux-extra and gpg to Recommends (Closes: #1116292)
    - Removed redundant rule: 'Rules-Requires-Root: no'

  * d/copyright:
     - Fixed missing copyrights for Ansible Automation Platform plugins
     - Add new AWS plugin copyright

 -- Bryan Fraschetti <bryan.fraschetti@canonical.com>  Sat, 22 Nov 2025 16:04:17 -0400

sos (4.10.0-1) unstable; urgency=medium

  * New upstream release 4.10.0

  * For more details, full release note is available here:
    - https://github.com/sosreport/sos/releases/tag/4.10.0

  * Former patches now fixed upstream:
    - d/p/0001-component-Grab-tmpdir-from-policy.patch
    - d/p/0002-report-Fix-html-formatting-for-Plugin-section.patch

  * New patches:
    - d/p/0001-Fix-Cleaner-Obfuscate-File.patch

  * d/control: Add Bryan Fraschetti to Uploaders Field

 -- Bryan Fraschetti <bryan.fraschetti@canonical.com>  Thu, 21 Aug 2025 11:45:39 -0400

sos (4.9.2-3) unstable; urgency=medium

  * 0002-report-Fix-html-formatting-for-Plugin-section.patch:
    Add patch to solve html formatting issues, this was introduced in
    a previous change to change to f-strings. (Closes: #1108301)

  * d/control: Update Arif's email

 -- Arif Ali <arif-ali@ubuntu.com>  Thu, 26 Jun 2025 20:35:45 +0000

sos (4.9.2-2) unstable; urgency=medium

  * d/p/0001-component-Grab-tmpdir-from-policy.patch: Fix a regression
    where the sos was being created in /var/tmp instead of /tmp. The
    hard-coded value is now updated to use the policy which for debian
    defaults to /tmp.

 -- Arif Ali <arif.ali@canonical.com>  Tue, 24 Jun 2025 20:57:34 +0100

sos (4.9.2-1) unstable; urgency=medium

  * New Upstream 4.9.2 release. (LP: #2114840)

  * For more details, full release note is available here:
    - https://github.com/sosreport/sos/releases/tag/4.9.2

  * d/t/simple.sh: Fix autopkgtest for riscv64

  * Former patches now fixed upstream:
    - d/p/0001-debian-change-tmp-dir-location.patch
    - d/p/0002-debian-do-not-install-LICENSE-README-AUTHORS.patch

 -- Arif Ali <arif.ali@canonical.com>  Tue, 17 Jun 2025 16:14:37 +0100

sos (4.9.1-1) unstable; urgency=medium

  * New Upstream 4.9.1 release.

  * For more details, full release note is available here:
    - https://github.com/sosreport/sos/releases/tag/4.9.1

  * d/copyright: Update FSF address
    fixing: lintian: old-fsf-address-in-copyright-file

  * Former patches now fixed upstream:
    - d/p/0003-o_horizon-Obfuscate-credentials-in-local_settings.py.patch
    - d/p/0004-ceph_common-Obfuscate-rgw-password-in-ceph.conf.patch
    - d/p/0005-logs-Add-all-auth.log-syslog-and-kerne.log-as-standa.patch
    - d/p/0006-ubuntu-Revamp-of-plugin.patch
    - d/p/0007-clean-Update-the-last-command-for-obfuscation.patch
    - d/p/0008-login-clean-Update-login-plugin-and-use-for-clean.patch

  * Remaining patches:
    - d/p/0001-debian-change-tmp-dir-location.patch
    - d/p/0002-debian-do-not-install-LICENSE-README-AUTHORS.patch

 -- Arif Ali <arif.ali@canonical.com>  Tue, 15 Apr 2025 07:31:49 +0000

sos (4.9.0-6) unstable; urgency=high

  * d/p/0008-login-clean-Update-login-plugin-and-use-for-clean.patch:
    unstable, testing and plucky don't have last and lastlogin by default,
    we now use lslogins and lastlogin2 to grab the user details and clean
    based out of these outputs. The previous patch was a fix for older
    releases. (LP: #2102199)

 -- Arif Ali <arif.ali@canonical.com>  Fri, 14 Mar 2025 13:27:08 +0000

sos (4.9.0-5) unstable; urgency=high

  * d/p/0007-clean-Update-the-last-command-for-obfuscation.patch:
    Fix username clean issue. A regression was introduced in 4.8.2 where the
    username was not being cleaned due to the command updated from last to
    last -F. (LP: #2102199)

 -- Arif Ali <arif.ali@canonical.com>  Thu, 13 Mar 2025 09:32:53 +0000

sos (4.9.0-4) unstable; urgency=medium

  * d/p/0003-o_horizon-Obfuscate-credentials-in-local_settings.py.patch:
    Update DEP-3 header to add Forwarded.
  * d/p/0004-ceph_common-Obfuscate-rgw-password-in-ceph.conf.patch:
    Update DEP-3 header to add Forwarded.
  * d/p/0005-logs-Add-all-auth.log-syslog-and-kerne.log-as-standa.patch:
    Collect suth.log, syslog and kern.log as standard, this was taken away a
    long while back, but can be useful for debugging.
  * d/p/0006-ubuntu-Revamp-of-plugin.patch:
    Ubuntu plugin revamp, so that the triggers are used correctly and
    standardises collection of data. Name change of the package caused it to
    not collect anything.

 -- Arif Ali <arif.ali@canonical.com>  Fri, 07 Mar 2025 08:04:04 +0000

sos (4.9.0-3) unstable; urgency=medium

  * d/t/control: replace the package name with @
  * d/control: Increment Standards-Version to 4.7.2
  * Add 2 patches to fix obfuscation issues

 -- Arif Ali <arif.ali@canonical.com>  Wed, 05 Mar 2025 16:59:43 +0000

sos (4.9.0-2) unstable; urgency=medium

  * d/sosreport.links: wrap-and-sort update
  * d/control: Update description of the sosreport package
  * d/control: Increment Standards-Version to 4.7.1

 -- Arif Ali <arif.ali@canonical.com>  Sat, 22 Feb 2025 19:35:21 +0000

sos (4.9.0-1) unstable; urgency=medium

  * New Upstream 4.9.0 release.
  * Add files from deprecated commands from upstream
  * d/control: wrap-and-sort the rest
  * d/t/control: depend on sos instead of sosreport
  * d/control: Add ${misc:Depends} to the sosreport pkg Depends
  * d/control: Change the package from any to all

 -- Arif Ali <arif.ali@canonical.com>  Tue, 18 Feb 2025 17:17:23 +0000

sos (4.8.2-4) unstable; urgency=medium

  * Bump version to fix duplicate version (Closes: #1095510)
  * Add Salsa CI config
  * d/control: Add python3-yaml to Depends
  * d/control: Remove David from Uploaders
  * d/t/simple.sh: Update hostname obfuscation test
  * Update using wrap-and-sort -satb in debian folder
  * d/t/simple.sh: Fix more hostname check anomalies
  * Remove files not needed for transitional package
  * Update sosreport.README
  * d/control: Add Section: oldlibs for transitional package
  * d/control: Update Breaks/Replaces to new version

 -- Arif Ali <arif.ali@canonical.com>  Sat, 08 Feb 2025 21:03:12 +0000

sos (4.8.2-3) unstable; urgency=medium

  * Change package name to sos (Closes: #1092585)
  * Add new sosreport transitional package
  * d/changelog: Add back entry for bird plugin change
  * d/t/simple.sh: Fix armhf autopkgtest for Ubuntu
  * d/copyright: Update dates to 2025 to quieten lintian
  * d/control: Add Breaks and Replaces to sosreport 4.8.2-3
  * d/rules, d/s/lintian-overrides: Update for new package name

 -- Arif Ali <arif.ali@canonical.com>  Thu, 09 Jan 2025 11:07:09 +0000

sosreport (4.8.2-2) unstable; urgency=medium

  * d/t/simple.sh: Fix hostname detection for S01autopkgtest
  * d/t/control: replace dmidecode with lshw, dmidecode does not exist on some
    architectures

 -- Arif Ali <arif.ali@canonical.com>  Mon, 16 Dec 2024 23:26:06 +0000

sosreport (4.8.2-1) unstable; urgency=medium

  * New Upstream 4.8.2 release.

  * For more details, full release note is available here:
    - https://github.com/sosreport/sos/releases/tag/4.8.2

  * d/t/simple.sh: Fix autopkgtest script to ignore autopkgtest-run command
    where "autopkgtest" could constitute as a hostname, and fail for one of the
    files.

  * d/t/control: Add dmidecode to Depends, so that the relevant files exist.

  * d/gbp.conf: Add file to allow use defaults for the sosreport project.

  * d/copyright: Add details for the bird plugin

  * Former patches now fixed upstream:
    - d/p/0003-heat-Obfuscate-Add-auth_encryption_key-in-config.patch
    - d/p/0004-placement-Obfuscate-passwords-that-have-been-missed.patch
    - d/p/0005-mysql-Add-obfuscation-for-password-in-conf-files.patch

  * Remaining patches:
    - d/p/0001-debian-change-tmp-dir-location.patch
    - d/p/0002-debian-do-not-install-LICENSE-README-AUTHORS.patch

 -- Arif Ali <arif.ali@canonical.com>  Mon, 16 Dec 2024 08:21:44 +0000

sosreport (4.8.1-2) unstable; urgency=medium

  * d/rules:
    Add unit test back without nosetests and using unittests module directly.

  * d/tests/control & d/tests/simple.sh:
    - Fix issue with the lsmod and ip command not being found
    - Fix issue on line 47 showing too many arguments, by surrounding quotes
      in the test.

  * d/p/0004-heat-Obfuscate-Add-auth_encryption_key-in-config.patch:
    The configuration option auth_encryption_key was not being obfuscated by
    default, this patch resolves this particular issue.

  * d/p/0005-placement-Obfuscate-passwords-that-have-been-missed.patch
    The NOVA_API_PASS and PLACEMENT_PASS were not being obfuscated in one of
    the config files. This resolves this particular issue.

  * d/p/0006-mysql-Add-obfuscation-for-password-in-conf-files.patch:
    The password field in one of the config files was not being obfuscated.
    This resolves this particular issue.

  * New patches:
    - d/p/0003-heat-Obfuscate-Add-auth_encryption_key-in-config.patch
    - d/p/0004-placement-Obfuscate-passwords-that-have-been-missed.patch
    - d/p/0005-mysql-Add-obfuscation-for-password-in-conf-files.patch

  * Remaining patches:
    - d/p/0001-debian-change-tmp-dir-location.patch
    - d/p/0002-debian-do-not-install-LICENSE-README-AUTHORS.patch

 -- Arif Ali <arif.ali@canonical.com>  Sat, 26 Oct 2024 14:24:02 +0000

sosreport (4.8.1-1) unstable; urgency=medium

  * New Upstream 4.8.1 release.

  * For more details, full release note is available here:
    - https://github.com/sosreport/sos/releases/tag/4.8.1

  * d/control:
    - Remove the -b flag for Vcs-Git. The default branch in salsa is now
      debian/latest, so this flag is now redundant.

  * Remaining patches:
    - d/p/0001-debian-change-tmp-dir-location.patch
    - d/p/0002-debian-do-not-install-LICENSE-README-AUTHORS.patch

 -- Arif Ali <arif.ali@canonical.com>  Wed, 16 Oct 2024 18:40:32 +0000

sosreport (4.8.0-1) unstable; urgency=medium

  * New Upstream 4.8.0 release.

  * For more details, full release note is available here:
    - https://github.com/sosreport/sos/releases/tag/4.8.0

  * d/copyright:
    - Remove the only plugins that were GPL-2+ from file, now that the file
      has been updated upstream and now GPL-2

  * d/control:
    - Add branch for Vcs-Git to debian/latest based on DEP-14

  * d/tests/simple.sh:
    - Replace "sosreport" with "sos report". The old command is now deprecated,
      and should be "sos report" in all places.

  * d/p/0004-debian-do-not-install-LICENSE.patch:
    - Rename patch to 0002 for future patch additions, as well as README and
      AUTHORS being duplicated
    - Update patch to not add README and AUTHORS to /usr/share/sos. This was
      causing a duplicate of files in /usr/share/sosreport.

  * Fixed Patches:
    - d/p/0003_man-sos-report.patch
    - d/p/0005-man-Fix-man-page-lintian-issues.patch

  * Remaining patches:
    - d/p/0001-debian-change-tmp-dir-location.patch
    - d/p/0002-debian-do-not-install-LICENSE-README-AUTHORS.patch

 -- Arif Ali <arif.ali@canonical.com>  Thu, 29 Aug 2024 19:42:20 +0000

sosreport (4.7.2-3) unstable; urgency=medium

   * d/tests/simple.sh:
     Fix the IP address check, and escape the periods for grepping the IP
     address on the files to check if the IP address is being masked or not.

 -- Arif Ali <arif.ali@canonical.com>  Thu, 22 Aug 2024 09:02:23 +0000

sosreport (4.7.2-2) unstable; urgency=medium

  * d/control, d/rules: (Closes: #1018639)
    - Remove python3-nose
    - The checks have been disabled till we port avocado to Debian

  * d/tests/control:
    - Remove isolation-machine, this is not here for Debian, and only on
      Ubuntu. The autopkgtest fail with this attribute.

  * d/tests/simple.sh:
    - Remove the check of free command. This doesn't work due to the fact
      autopkgtest are run in a docker style environment.
    - Ignore the "Unable to read" messages in stderr for kernel. The
      environment doesn't have these files, and hence brings them into stderr.
      But, this isn't an issue in this particular environment.

  * d/p/*.patch:
    - Updated all patches based on patch-queue. This makes all the patches more
      consistent across the board, and keeps to one style.

  * d/sources/lintian-override:
    - Add file to ignore 2 checks
      1. very-long-line-length-in-source-file
      2. debian-watch-does-not-check-openpgp-signature

  * d/p/0005-man-Fix-man-page-lintian-issues.patch:
    - Explicitly add Forwarded attribute

  * d/p/0003_man-sos-report.patch:
    - Remove the unspelt correction in the description
    - Add Origin, as that has been merged upstream

  * Remaining patches:
    - d/p/0001-debian-change-tmp-dir-location.patch
    - d/p/0003_man-sos-report.patch
    - d/p/0004-debian-do-not-install-LICENSE.patch
    - d/p/0005-man-Fix-man-page-lintian-issues.patch

 -- Arif Ali <arif.ali@canonical.com>  Wed, 21 Aug 2024 08:13:08 +0000

sosreport (4.7.2-1) unstable; urgency=medium

  * d/control:
    - Add 'python3-packaging' as part of the runtime depends.
    - Add 'python3-packaging' as part of the build depends:
      Use packaging for version comparison instead of pkg_resources from
      setuptools.
    - Add 'python3-yaml' as part of the build depends:
      The new saltstack collect plugin now imports the yaml module, this is
      now required to build and run the sos package.
    - Add 'python3-boto3' to Recommends:
      A new feature for uploading to S3 was implemented and the boto3 module
      is used for this. Although not a hard requirement, but could be useful
      moving forward.
    - Add dep python3-nose and python3-coverage back for nosetests.
    - bump standards version to 4.7.0.
    - lintian: Add Rules-Requires-Root.
    - Maintainer change from Eric to sosreport Team, as agreed with Eric.
    - Add Arif and David as Uploaders.

  * d/copyright:
    - Update to reflect the various licensing of files.
    - Removed entry for kernelrt.py, as that would be consistent

  * d/rules:
    - Add override_install to copy the sos.conf in the right place for
      Debian.
    - Add nosetests originally that should work. This will be replaced by
      avocado eventually. This is useful to run to ensure that some simple
      set of runs in sos work.

  * d/tests:
    - Remove unnecessary debian tests and files.
    - Update simple.sh from upstream project and consistency with
      downstream.

  * d/sosreport.links:
    - File removed, as /usr/share/sosreport/sosreport doesn't exist and
      the pointer is a broken symbolic link

  * d/watch:
    - Update to fix issue with error output

  * d/upstream/metadata:
    - Add file as per lintian on mentors

  * Former patches now fixed upstream or resolved:
    - d/p/0004-unittest-assertEquals.patch
    - d/p/0002-debian-do-not-install-usr-config.patch:
      The file is being removed via the install override, also the sos.conf
      file is required, and the patch removes this file too

  * d/p/0001-debian-change-tmp-dir-location.patch:
    - lintian: Add Forwarded attribute.

  * d/p/0003_man-sos-report.patch:
    - lintian: Add Forwarded attribute.

  * d/p/0004-debian-do-not-install-LICENSE.patch
    - lintian: Add Forwarded attribute.
    - Update based on removal of d/p/0002* patch

  * d/p/0005-man-Fix-man-page-lintian-issues.patch:
    - Add patch to fix lintian issues for man pages, backported from upstream.

  * Remaining patches:
    - d/p/0001-debian-change-tmp-dir-location.patch
    - d/p/0003_man-sos-report.patch
    - d/p/0004-debian-do-not-install-LICENSE.patch

 -- Arif Ali <arif.ali@canonical.com>  Wed, 14 Aug 2024 08:39:14 +0000

sosreport (4.7.2-0.2) unstable; urgency=medium

  * Non-maintainer upload.
  * debian/copyright: Update to current upstream version. The source is GPL-2
    *only*, and there were a lot of missing copyright holders for plugins and
     distros. (Closes: #1077091)

 -- Martin Pitt <mpitt@debian.org>  Mon, 12 Aug 2024 08:35:04 +0200

sosreport (4.7.2-0.1) unstable; urgency=medium

  * Non-maintainer upload.
  * New upstream version 4.7.2
  * d/lintian-overrides: remove unused version update
  * d/patches: do not install LICENSE file
  * d/patches: acknowledge 0005-unittest-assertEquals.patch from 4.0-2.1
  * d/tests: fix simple script (Closes: #1075909)
  * d/control: add dep on python3-magic

 -- Marc Leeman <marc.leeman@gmail.com>  Mon, 08 Jul 2024 12:45:09 +0200

sosreport (4.7.1-1.1) unstable; urgency=medium

  * Non-maintainer upload.

  * d/patches: add lintian/man corrections
  * d/lintian-overrides: silence NMU without release
  * New upstream version 4.7.1

 -- Marc Leeman <marc.leeman@gmail.com>  Thu, 16 May 2024 11:23:26 +0200

sosreport (4.7.0-1.1) unstable; urgency=medium

  * Non-maintainer upload.

  [ Eric Desrochers ]
  * [Debian] Copy v3.6 debian folder into v3.7
  * [debian] fix lintian warnings
  * [debian] add dan streetman as uploader
  * [debian] drop former quilt patches
  * [debian] Add block entry in debian changelog for 3.7-1
  * [debian] modify debian/watch
  * [debian] upload changelog to 3.8-1
  * [debian] Bump Standards-Version

  [ Marc Leeman ]
  * New upstream version 4.7.0 (Closes: #1067411)
  * d/control: bump standards version
  * d/patches: remove upstream applied patches
  * d/compat: already listed in d/control
  * d/rules: disable tests
  * d/control: remove dep python3-nose (Closes: #1018639)
  * d/control: add fdisk dep (Closes: #872215)
  * d/patches: 0002-debian-do-not-install-usr-config.patch

 -- Marc Leeman <marc.leeman@gmail.com>  Thu, 21 Mar 2024 09:17:45 +0100

sosreport (4.0-2.1) unstable; urgency=medium

  * Non-maintainer upload.
  * d/p/0004-unittest-assertEquals.patch: unittest.TestCase.assertEquals() was
    deprecated in Python 3, and finally dropped in Python 3.12. Fixes FTBFS
    due to unit tests failing. (Closes: #1058214)

 -- Martin Pitt <mpitt@debian.org>  Wed, 10 Jan 2024 08:16:54 +0100

# Older entries have been removed from this changelog.
# To read the complete changelog use `apt changelog sos`.
